import { EventEmitter } from "@angular/core";
import { IEventFilter } from "./public-api";
export declare class ClickFilterDirective {
    private _cancelBubble;
    private _preventDefault;
    set cancelBubble(value: IEventFilter | boolean | null);
    set preventDefault(value: IEventFilter | boolean | null);
    passed$: EventEmitter<Event>;
    canceled$: EventEmitter<Event>;
    prevented$: EventEmitter<Event>;
    handleEvent(event: Event): void;
}
